Appearance
UploadCategory
Categories for the files uploaded to assignments and their events. A category can also restrict which roles see its files.
OpenAPI Spec
List UploadCategories
GET
/v2/upload-categories
List UploadCategories
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Query Parameters
page
Type
number
Minimum
0Default
0size
Type
number
Minimum
1Maximum
20Default
10uuid
name
deactivatedAt
createdAt
updatedAt
Responses
List response
application/json
JSON "page": 0, "pages": 0, "size": 10, "items": [ { "uuid": "string", "name": "string", "color": "string", "order": 0, "deactivatedAt": "string", "roleUuids": [ "string" ], "createdAt": "string", "updatedAt": "string" } ]
{
}
Create a new UploadCategory
POST
/v2/upload-categories
Create a new UploadCategory
Authorizations
apiKey
Type
HTTP (bearer)
Request Body
application/json
JSON "uuid": "string", "name": "string", "color": "string", "order": 1, "roleUuids": [ "string" ]
{
}
Responses
UploadCategory found
application/json
JSON "uuid": "string", "name": "string", "color": "string", "order": 0, "deactivatedAt": "string", "roleUuids": [ "string" ], "createdAt": "string", "updatedAt": "string"
{
}
Get a UploadCategory
GET
/v2/upload-categories/{uploadCategoryUuid}
Get a UploadCategory by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
uploadCategoryUuid*
Type
Requiredstring
Format
"uuid"Responses
UploadCategory found
application/json
JSON "uuid": "string", "name": "string", "color": "string", "order": 0, "deactivatedAt": "string", "roleUuids": [ "string" ], "createdAt": "string", "updatedAt": "string"
{
}
Update a UploadCategory
PATCH
/v2/upload-categories/{uploadCategoryUuid}
Update a UploadCategory by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
uploadCategoryUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "name": "string", "color": "string", "order": 1, "deactivatedAt": "string", "roleUuids": [ "string" ]
{
}
Responses
UploadCategory found
application/json
JSON "uuid": "string", "name": "string", "color": "string", "order": 0, "deactivatedAt": "string", "roleUuids": [ "string" ], "createdAt": "string", "updatedAt": "string"
{
}